### Hierarchy

- ObjectConstructor

## Index

### Methods

- assign
- getOwnPropertySymbols
- is
- setPrototypeOf

## Methods

### assign

- assign<T, U>(target: T, source: U): T & U
- assign<T, U, V>(target: T, source1: U, source2: V): T & U & V
- assign<T, U, V, W>(target: T, source1: U, source2: V, source3: W): T & U & V & W
- assign(target: object, ...sources: any[]): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:286

  Copy the values of all of the enumerable own properties from one or more source objects to a target object. Returns the target object.

  #### Type parameters

  - #### T

  - #### U

  #### Parameters

  - ##### target: T

    The target object to copy to.

  - ##### source: U

    The source object from which to copy properties.

  #### Returns T & U

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:295

  Copy the values of all of the enumerable own properties from one or more source objects to a target object. Returns the target object.

  #### Type parameters

  - #### T

  - #### U

  - #### V

  #### Parameters

  - ##### target: T

    The target object to copy to.

  - ##### source1: U

    The first source object from which to copy properties.

  - ##### source2: V

    The second source object from which to copy properties.

  #### Returns T & U & V

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:305

  Copy the values of all of the enumerable own properties from one or more source objects to a target object. Returns the target object.

  #### Type parameters

  - #### T

  - #### U

  - #### V

  - #### W

  #### Parameters

  - ##### target: T

    The target object to copy to.

  - ##### source1: U

    The first source object from which to copy properties.

  - ##### source2: V

    The second source object from which to copy properties.

  - ##### source3: W

    The third source object from which to copy properties.

  #### Returns T & U & V & W

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:313

  Copy the values of all of the enumerable own properties from one or more source objects to a target object. Returns the target object.

  #### Parameters

  - ##### target: object

    The target object to copy to.

  - ##### Rest ...sources: any[]

    One or more source objects from which to copy properties

  #### Returns any

### getOwnPropertySymbols

- getOwnPropertySymbols(o: any): symbol[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:319

  Returns an array of all symbol properties found directly on object o.

  #### Parameters

  - ##### o: any

    Object to retrieve the symbols from.

  #### Returns symbol[]

### is

- is(value1: any, value2: any): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:326

  Returns true if the values are the same value, false otherwise.

  #### Parameters

  - ##### value1: any

    The first value.

  - ##### value2: any

    The second value.

  #### Returns boolean

### setPrototypeOf

- setPrototypeOf(o: any, proto: object | null): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:333

  Sets the prototype of a specified object o to object proto or null. Returns the object o.

  #### Parameters

  - ##### o: any

    The object to change its prototype.

  - ##### proto: object | null

    The value of the new prototype or null.

  #### Returns any

Generated using TypeDoc